FROM ubuntu:latest

RUN apt-get update
RUN apt-get install -y software-properties-common sudo
RUN add-apt-repository -y ppa:webupd8team/java
RUN apt-get update

RUN echo oracle-java8-installer shared/accepted-oracle-license-v1-1 select true | sudo /usr/bin/debconf-set-selections

RUN apt-get install -y unzip curl oracle-java8-installer

ENV SBT_VERSION 0.13.11
ENV SBT_HOME /usr/local/sbt
ENV PATH ${PATH}:${SBT_HOME}/bin

# Install sbt
RUN curl -sL "http://dl.bintray.com/sbt/native-packages/sbt/$SBT_VERSION/sbt-$SBT_VERSION.tgz" | gunzip | tar -x -C /usr/local && \
echo -ne "- with sbt $SBT_VERSION\n" >> /root/.built

ENV SRC_DIR /usr/src

COPY app $SRC_DIR/app

WORKDIR $SRC_DIR/app

RUN sbt compile

CMD ["sbt", "run"]
